package com.realnet.order_estimation.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.order_estimation.Entity.Notes_and_terms;
import com.realnet.order_estimation.Services.Notes_and_termsService ;




@RequestMapping(value = "/Notes_and_terms")
 @CrossOrigin("*") 
@RestController
public class Notes_and_termsController {
	@Autowired
	private Notes_and_termsService Service;

@Value("${projectPath}")
	private String projectPath;
 




	@PostMapping("/Notes_and_terms")
		  public Notes_and_terms Savedata(@RequestBody Notes_and_terms data) {
		Notes_and_terms save = Service.Savedata(data)	;



		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Notes_and_terms/{id}")
	public  Notes_and_terms update(@RequestBody Notes_and_terms data,@PathVariable Integer id ) {
		Notes_and_terms update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Notes_and_terms/getall/page")
	public Page<Notes_and_terms> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Notes_and_terms> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Notes_and_terms")
	public List<Notes_and_terms> getdetails() {
		 List<Notes_and_terms> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Notes_and_terms")
	public List<Notes_and_terms> getallwioutsec() {
		 List<Notes_and_terms> get = Service.getdetails();		
		return get;
}
@GetMapping("/Notes_and_terms/{id}")
	public  Notes_and_terms  getdetailsbyId(@PathVariable Integer id ) {
		Notes_and_terms  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Notes_and_terms/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}





}